<template>
  <div class="google-map" :id="mapName"></div>
</template>
<script>
    import { mapMutations } from 'vuex'
    import $Scriptjs from 'scriptjs'

    export default {
        name: 'google-map',
        props: ['name'],
        data: function() {
            return {
                mapName: this.name + "-map",
            }
        },
        mounted() {
            $Scriptjs('https://maps.googleapis.com/maps/api/js?key=AIzaSyAz9LRO6GWMLhoh0LwRilop9IAhBFQVtr8&language=vi&region=vi', () => {
                this.initMap()
            })
        },
        methods: {
            ...mapMutations(['setMap']),
            initMap: function() {
                const element = document.getElementById(this.mapName)
                const options = {
                    zoom: 14,
                    center: new window.google.maps.LatLng(17.4778663, 106.619679),
                    disableDefaultUI: true,
                    // zoomControl: true
                }
                this.setMap({ element, options });
            }
        }
    };
</script>
<style scoped>
    .google-map {
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0px;
        left: 0px;
        background: #efeeec;
    }
</style>
